<?php
require'f_instant_admini.php';
require'f_admin.php';
$tip='scrie mesaje instant admini';
require'f_vechime.php';
$shtxt=$_POST['shtxt']??'';
$pret_com=$_POST['pret_com']??0;
$titlu='Scrie mesaj instant admini';
require'f_sus.php';
require'f_filtru.php';
$text=filtru($shtxt);
$nos=mb_substr_count($text,'<img src=');
if($nos>2)
$shtxt='Spre rusinea mea, nu am citit regulamentul, și am vrut sa pun mai mult de 2 zambareti! Va rog sa ma iertati!';
if($conn->query('INSERT INTO`mesaje_instant_admini`SET`text`="'.$shtxt.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
$pid=$conn->insert_id;
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$lei['instant'].',`mesaje_instant`=mesaje_instant+1 WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj instant adaugat, ai platit suma de <strong>'.$lei['instant'].'</strong> lei, dacă acest mesaj acumuleaza <strong>10</strong> aprecieri, vei primi banii inapoi!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la un mesaj instant admini ca preț comentarii '.$pret_com.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
if($pret_com>0)
{
$conn->query('UPDATE`mesaje_instant_admini`SET`pret_com`="'.$pret_com.'"WHERE`id`="'.$pid.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei!<br />Oricand cineva comenteaza acest mesaj instant admini, ti-se va retrage din lei aceasta suma!';
}
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0];
require'f_jos.php';